Get job execution
curl --request GET \
--url https://api.blaxel.ai/v0/jobs/{jobId}/executions/{executionId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.blaxel.ai/v0/jobs/{jobId}/executions/{executionId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.blaxel.ai/v0/jobs/{jobId}/executions/{executionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"metadata": {
"cluster": "<string>",
"completedAt": "<string>",
"createdAt": "<string>",
"deletedAt": "<string>",
"expiredAt": "<string>",
"id": "exec-abc123",
"job": "data-processing-job",
"startedAt": "<string>",
"updatedAt": "<string>",
"workspace": "my-workspace"
},
"spec": {
"envOverride": "{\"MY_VAR\": \"***\", \"BATCH_SIZE\": \"***\"}",
"memoryOverride": 2048,
"parallelism": 5,
"tasks": [
{
"conditions": [
{
"executionReason": "<string>",
"message": "<string>",
"reason": "<string>",
"severity": "<string>",
"state": "<string>",
"type": "<string>"
}
],
"metadata": {
"completedAt": "<string>",
"createdAt": "<string>",
"name": "task-0",
"scheduledAt": "<string>",
"startedAt": "<string>",
"updatedAt": "<string>"
},
"spec": {
"maxRetries": 3,
"timeout": "30m"
}
}
],
"timeout": 3600
},
"stats": {
"cancelled": 0,
"failure": 1,
"retried": 2,
"running": 1,
"success": 8,
"total": 10
},
"tasks": [
{
"conditions": [
{
"executionReason": "<string>",
"message": "<string>",
"reason": "<string>",
"severity": "<string>",
"state": "<string>",
"type": "<string>"
}
],
"metadata": {
"completedAt": "<string>",
"createdAt": "<string>",
"name": "task-0",
"scheduledAt": "<string>",
"startedAt": "<string>",
"updatedAt": "<string>"
},
"spec": {
"maxRetries": 3,
"timeout": "30m"
}
}
]
}jobs
Get job execution
Returns detailed information about a specific job execution including status, task statistics (success/failure/running counts), and timing information.
GET
/
jobs
/
{jobId}
/
executions
/
{executionId}
Get job execution
Authorizations
OAuth2ApiKeyAuth
OAuth2 authentication with JWT tokens
Response
successful operation
Job execution
Job execution metadata
Show child attributes
Show child attributes
Job execution specification
Show child attributes
Show child attributes
Job execution statistics
Show child attributes
Show child attributes
Job execution status
Available options:
queued, pending, running, cancelling, cancelled, failed, succeeded, timeout List of execution tasks
Show child attributes
Show child attributes
Last modified on May 27, 2026
Was this page helpful?
⌘I
